BIO_MAP_USER(9)

NAME
bio_map_user - map user address into bio

SYNOPSIS

struct bio * bio_map_user(struct request_queue * q, struct block_device * bdev, unsigned long uaddr, unsigned int len, int write_to_vm, gfp_t gfp_mask);

ARGUMENTS

q
    the struct request_queue for the bio

bdev
    destination block device

uaddr
    start of user address

len
    length in bytes

write_to_vm
    bool indicating writing to pages or not

gfp_mask
    memory allocation flags

DESCRIPTION

Map the user space address into a bio suitable for io to a block device. Returns an error pointer in case of error.

COPYRIGHT